/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 1999 Bull S.A.
 * Contact: jonas-team@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id$
 * --------------------------------------------------------------------------
 */
package org.objectweb.jonas.jtests.appclients.timeclient;


/**
 *
 *
 * @author Guillaume Sauthier
 */
public class StaticPassValue {

    private static StaticPassValue instance = null;
    private String init = null;
    private String request = null;
    private String response = null;
    /**
     * 
     */
    private StaticPassValue() {
    }

    public static StaticPassValue getInstance() {
        if (instance == null) {
            instance = new StaticPassValue();
        }
        return instance;
    }

    /**
     * @param val
     */
    public void setInitValue(String val) {
        init = val;
    }

    /**
     * @param string
     */
    public void setRequestValue(String val) {
        request = val;
    }

    /**
     * @return Returns the init.
     */
    public String getInit() {
        return init;
    }
    /**
     * @return Returns the request.
     */
    public String getRequest() {
        return request;
    }
    
    /**
     * @return Returns the response.
     */
    public String getResponse() {
        return response;
    }
    /**
     * @param response The response to set.
     */
    public void setResponseValue(String response) {
        this.response = response;
    }
}
